std::pmr::polymorphic_allocator::destroy(3)

NAME
std::pmr::polymorphic_allocator::destroy - std::pmr::polymorphic_allocator::destroy

Synopsis
   template<class U> (since C++17)
   void destroy( U* p ); (deprecated in C++20)
   Destroys the object pointed to by p, as if by calling p->~U().

Parameters
   p - pointer to the object being destroyed

Notes
   This function is deprecated via LWG issue 3036, because its functionality can be
   provided by the default implementation of std::allocator_traits::destroy and hence
   extraneous.

See also
   destroy destructs an object stored in the allocated storage
   [static] (function template)